#ifndef AGENT_H
#define AGENT_H

#include <QObject>
#include <QProcess>

class Agent : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "com.kylin.dockerAgent")
public:
    explicit Agent();
    ~Agent();
public slots:
    int dockerAgentTest();
    int dockerAgentCreate(const QString uid, const QString name, const QString env,
                          const QString sharedDir, const QString image);
    int dockerAgentCp(const QString src, const QString des);
    int dockerAgentInspect(const QString name);
    int dockerAgentRm(const QString name);
    int dockerAgentStart(const QString name);
    int dockerAgentExec(const QString name, const QString cmd);
    int dockerAgentRun(const QString name, const QString cmd);
    QString dockerAgentPs();

private:
    QString dockerLaunchCmd = "";
};

#endif